Summary:   A Nagios plugin to check Linux bonding interfaces
Name:      check_linux_bonding
Version:   1.3.1
Release:   1%{?dist}
License:   GPL
Packager:  Trond Hasle Amundsen <t.h.amundsen@usit.uio.no>
Group:     Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL:       http://folk.uio.no/trondham/software/%{name}.html
Source0:   http://folk.uio.no/trondham/software/%{name}-%{version}.tar.gz
BuildRequires: perl gzip

Requires: perl >= 5.6.0
Requires: perl(POSIX)
Requires: perl(Getopt::Long)

%description
check_linux_bonding is a plugin for the Nagios monitoring software
that checks bonding interfaces on Linux. The plugin is fairly simple
and will report any interfaces that are down (both masters and
slaves). It will also alert you of bonding interfaces with only one
slave, since that usually points to a misconfiguration.

%prep
%setup -q

%build
pod2man -s 8 -r "%{name} %{version}" -c "Nagios plugin" %{name}.pod %{name}.8
gzip %{name}.8

%install
install -D -m 0755 %{name} %{buildroot}%{_libdir}/nagios/plugins/%{name}
install -D -m 0644 %{name}.8.gz %{buildroot}%{_mandir}/man8/%{name}.8.gz

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc README COPYING CHANGES
%{_libdir}/nagios/plugins/%{name}
%attr(0755, root, root) %{_mandir}/man8/%{name}.8.gz


%changelog
* Tue Oct 26 2010 Trond H. Amundsen <t.h.amundsen@usit.uio.no> - 1.3.1-1
- Version 1.3.1

* Thu Aug 26 2010 Trond H. Amundsen <t.h.amundsen@usit.uio.no> - 1.3.0-1
- Version 1.3.0

* Wed Feb 17 2010 Trond H. Amundsen <t.h.amundsen@usit.uio.no> - 1.2.1-1
- Version 1.2.1

* Tue Feb 16 2010 Trond H. Amundsen <t.h.amundsen@usit.uio.no> - 1.2.0-1
- Version 1.2.0

* Thu Oct  9 2009 Trond H. Amundsen <t.h.amundsen@usit.uio.no> - 1.1.0-1
- Version 1.1.0
- Locations for plugin and man page changed

* Thu Jul 23 2009 Trond H. Amundsen <t.h.amundsen@usit.uio.no> - 1.0.1-1
- Version 1.0.1

* Wed Jun 10 2009 Trond H. Amundsen <t.h.amundsen@usit.uio.no> - 1.0.0-1
- Initial release 1.0.0
